# -*- coding: utf-8 -*-
from setuptools import setup

package_dir = \
{'': 'src'}

packages = \
['pannb']

package_data = \
{'': ['*']}

install_requires = \
['panflute>=2.1.3,<3.0.0']

extras_require = \
{'docs': ['sphinx>=3.3,<4.0',
          'sphinx-bootstrap-theme',
          'sphinxcontrib-apidoc',
          'nbsphinx>=0.8',
          'ipykernel',
          'pandas'],
 'extras': ['coloredlogs>=14,<16'],
 'tests': ['coverage', 'coveralls', 'pytest']}

entry_points = \
{'console_scripts': ['pannb = pannb:main']}

setup_kwargs = {
    'name': 'pannb',
    'version': '0.1.3',
    'description': 'pannb—pandoc filter for ipynb',
    'long_description': '.. This is auto-generated from `docs/README.md`. Do not edit this file directly.\n\n=============================\npannb—pandoc filter for ipynb\n=============================\n\n:Date:   January 25, 2022\n\n.. contents::\n   :depth: 3\n..\n\n|Documentation Status| |image1|\n\n|GitHub Actions| |Coverage Status| |image2| |Codacy Badge| |Scrutinizer Status| |CodeClimate Quality Status|\n\n|Supported versions| |Supported implementations| |PyPI Wheel| |PyPI Package latest release| |GitHub Releases| |Development Status| |Downloads| |Commits since latest release| |License|\n\n|Conda Recipe| |Conda Downloads| |Conda Version| |Conda Platforms|\n\nIntroduction\n============\n\nPandoc supports ipynb format. What this does is add support of\n\n1. jupytext style yaml metadata block\n2. filter out the Python code block\n3. convert raw block to native pandoc AST, e.g.\n\n   -  if a cell outputs HTML, then it is an HTML raw block by default, meaning only HTML-like output formats contains these output cells. This filter convert them using pandoc itself to native pandoc AST so that any output formats will contains the same output.\n\nThese 3 filters are implemented as 3 individual functions, so that you can cherry-pick your own combinations (See `API doc <https://ickc.github.io/pannb/api/pannb/>`__). The command line program ``pannb`` have all 3 included.\n\nExample\n=======\n\nSee ```docs/example.ipynb`` <https://github.com/ickc/pannb/blob/master/docs/example.ipynb>`__ for the input notebook and its `output without the filter <https://ickc.github.io/pannb/example/>`__ and `output with the filter <https://ickc.github.io/pannb/example-output/>`__.\n\nSupported pandoc versions\n=========================\n\npandoc versioning semantics is `MAJOR.MAJOR.MINOR.PATCH <https://pvp.haskell.org>`__ and panflute’s is MAJOR.MINOR.PATCH. Below we shows matching versions of pandoc that pannb supports, in descending order. Only major version is shown as long as the minor versions doesn’t matter.\n\n+-------+------------------+---------------------------+-------------------------------+\n| pannb | panflute version | supported pandoc versions | supported pandoc API versions |\n+=======+==================+===========================+===============================+\n| 0.1.2 | 2.1.3            | 2.17.x                    | 1.22.1                        |\n+-------+------------------+---------------------------+-------------------------------+\n| 0.1.1 | 2.1.3            | 2.15–2.16.x               | 1.22–1.22.1                   |\n+-------+------------------+---------------------------+-------------------------------+\n| 0.1.0 | 2.1              | 2.11.2—2.14.x             | 1.22                          |\n+-------+------------------+---------------------------+-------------------------------+\n\n.. |Documentation Status| image:: https://readthedocs.org/projects/pannb/badge/?version=latest\n   :target: https://pannb.readthedocs.io/en/latest/?badge=latest&style=plastic\n.. |image1| image:: https://github.com/ickc/pannb/workflows/GitHub%20Pages/badge.svg\n   :target: https://ickc.github.io/pannb\n.. |GitHub Actions| image:: https://github.com/ickc/pannb/workflows/Python%20package/badge.svg\n.. |Coverage Status| image:: https://codecov.io/gh/ickc/pannb/branch/master/graphs/badge.svg?branch=master\n   :target: https://codecov.io/github/ickc/pannb\n.. |image2| image:: https://coveralls.io/repos/ickc/pannb/badge.svg?branch=master&service=github\n   :target: https://coveralls.io/r/ickc/pannb\n.. |Codacy Badge| image:: https://app.codacy.com/project/badge/Grade/7e7a6e8e440149aaa6358884efa941b0\n   :target: https://www.codacy.com/gh/ickc/pannb/dashboard?utm_source=github.com&utm_medium=referral&utm_content=ickc/pannb&utm_campaign=Badge_Grade\n.. |Scrutinizer Status| image:: https://img.shields.io/scrutinizer/quality/g/ickc/pannb/master.svg\n   :target: https://scrutinizer-ci.com/g/ickc/pannb/\n.. |CodeClimate Quality Status| image:: https://codeclimate.com/github/ickc/pannb/badges/gpa.svg\n   :target: https://codeclimate.com/github/ickc/pannb\n.. |Supported versions| image:: https://img.shields.io/pypi/pyversions/pannb.svg\n   :target: https://pypi.org/project/pannb\n.. |Supported implementations| image:: https://img.shields.io/pypi/implementation/pannb.svg\n   :target: https://pypi.org/project/pannb\n.. |PyPI Wheel| image:: https://img.shields.io/pypi/wheel/pannb.svg\n   :target: https://pypi.org/project/pannb\n.. |PyPI Package latest release| image:: https://img.shields.io/pypi/v/pannb.svg\n   :target: https://pypi.org/project/pannb\n.. |GitHub Releases| image:: https://img.shields.io/github/tag/ickc/pannb.svg?label=github+release\n   :target: https://github.com/ickc/pannb/releases\n.. |Development Status| image:: https://img.shields.io/pypi/status/pannb.svg\n   :target: https://pypi.python.org/pypi/pannb/\n.. |Downloads| image:: https://img.shields.io/pypi/dm/pannb.svg\n   :target: https://pypi.python.org/pypi/pannb/\n.. |Commits since latest release| image:: https://img.shields.io/github/commits-since/ickc/pannb/v0.1.3.svg\n   :target: https://github.com/ickc/pannb/compare/v0.1.3...master\n.. |License| image:: https://img.shields.io/pypi/l/pannb.svg\n.. |Conda Recipe| image:: https://img.shields.io/badge/recipe-pannb-green.svg\n   :target: https://anaconda.org/conda-forge/pannb\n.. |Conda Downloads| image:: https://img.shields.io/conda/dn/conda-forge/pannb.svg\n   :target: https://anaconda.org/conda-forge/pannb\n.. |Conda Version| image:: https://img.shields.io/conda/vn/conda-forge/pannb.svg\n   :target: https://anaconda.org/conda-forge/pannb\n.. |Conda Platforms| image:: https://img.shields.io/conda/pn/conda-forge/pannb.svg\n   :target: https://anaconda.org/conda-forge/pannb\n',
    'author': 'Kolen Cheung',
    'author_email': 'christian.kolen@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/ickc/pannb',
    'package_dir': package_dir,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'extras_require': extras_require,
    'entry_points': entry_points,
    'python_requires': '>=3.8',
}


setup(**setup_kwargs)
